Summary:        GTK2 and GTK3 configurator for KDE
Name:           kde-gtk-config
Version:        2.2.1
Release:        %mkrel 2
License:        GPLv3
Group:          Graphical desktop/KDE
Url:            https://projects.kde.org/projects/playground/base/kde-gtk-config
Source0:        ftp://ftp.kde.org/pub/kde/stable/%{name}/%{version}/src/%{name}-%{version}.tar.xz
Patch1:         kde-gtk-config-2.0-gtkrc-2.0-kde-config-file.patch

BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  kdelibs4-devel

%description
Configuration dialog to adapt GTK applications appearance to your taste
under KDE. Among its many features, it lets you:
- Choose which theme is used for GTK2 and GTK3 applications.
- Tweak some GTK applications behaviour.
- Select what icon theme to use in GTK applications.
- Select GTK applications default fonts.
- Easily browse and install new GTK2 and GTK3 themes.


%prep
%setup -q
%patch1 -p1

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

%find_lang %{name}


%files -f %{name}.lang
%doc README COPYING ChangeLog
%_kde_libdir/kde4/libexec/gtk3_preview
%_kde_libdir/kde4/libexec/gtk_preview
%_kde_libdir/kde4/libexec/reload_gtk_apps
%_kde_libdir/kde4/kcm_cgc.so
%_kde_appsdir/kcm-gtk-module/preview.ui
%_kde_configdir/cgcgtk3.knsrc
%_kde_configdir/cgcicon.knsrc
%_kde_configdir/cgctheme.knsrc
%_kde_iconsdir/hicolor/48x48/apps/kde-gtk-config.png
%_kde_services/kde-gtk-config.desktop



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.2.1-2.mga4
+ Revision: 523320
- Mageia 4 Mass Rebuild

* Sun Apr 07 2013 neoclust <neoclust> 2.2.1-1.mga3
+ Revision: 408662
- New version

* Sat Jan 12 2013 umeabot <umeabot> 2.1.1-2.mga3
+ Revision: 355921
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 fwang <fwang> 2.1.1-1.mga3
+ Revision: 315477
- new version 2.1.1

* Sun Sep 02 2012 lmenut <lmenut> 2.1-1.mga3
+ Revision: 287415
- update to 2.1

* Fri Apr 20 2012 boklm <boklm> 2.0-2.mga2
+ Revision: 231976
- rebuild to fix package signature problem

* Sun Apr 15 2012 lmenut <lmenut> 2.0-1.mga2
+ Revision: 230885
- imported package kde-gtk-config

